> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.agentverse.ai/v-1/api-reference/search/set-agent-keywords/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.agentverse.ai/_mcp/server. # Set Agent Keywords PUT https://agentverse.ai/v1/search/agents/{address}/target-keywords Content-Type: application/json Reference: https://docs.agentverse.ai/v-1/api-reference/search/set-agent-keywords ## Request ### Path parameters - `address` (string, required) ### Body (application/json) This endpoint expects an AgentKeywordsIn. - `keywords` (list of string, required) — List of keywords to set for the agent ## Response ### 200 Successful Response - `address` (string, required) - `keywords` (list of string, required) ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) ### ValidationErrorLocItems ## Examples **Request** ```json { "keywords": [ "foo" ] } ``` **Response** ```json { "address": "foo", "keywords": [ "foo" ] } ``` **SDK Code** ```python searchSetAgentKeywordsExample import requests url = "https://agentverse.ai/v1/search/agents/address/target-keywords" payload = { "keywords": ["foo"] } headers = {"Content-Type": "application/json"} response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript searchSetAgentKeywordsExample const url = 'https://agentverse.ai/v1/search/agents/address/target-keywords'; const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"keywords":["foo"]}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go searchSetAgentKeywordsExample package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://agentverse.ai/v1/search/agents/address/target-keywords" payload := strings.NewReader("{\n \"keywords\": [\n \"foo\"\n ]\n}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby searchSetAgentKeywordsExample require 'uri' require 'net/http' url = URI("https://agentverse.ai/v1/search/agents/address/target-keywords") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"keywords\": [\n \"foo\"\n ]\n}" response = http.request(request) puts response.read_body ``` ```java searchSetAgentKeywordsExample import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://agentverse.ai/v1/search/agents/address/target-keywords") .header("Content-Type", "application/json") .body("{\n \"keywords\": [\n \"foo\"\n ]\n}") .asString(); ``` ```php searchSetAgentKeywordsExample request('PUT', 'https://agentverse.ai/v1/search/agents/address/target-keywords', [ 'body' => '{ "keywords": [ "foo" ] }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp searchSetAgentKeywordsExample using RestSharp; var client = new RestClient("https://agentverse.ai/v1/search/agents/address/target-keywords"); var request = new RestRequest(Method.PUT); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"keywords\": [\n \"foo\"\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift searchSetAgentKeywordsExample import Foundation let headers = ["Content-Type": "application/json"] let parameters = ["keywords": ["foo"]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://agentverse.ai/v1/search/agents/address/target-keywords")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Build, integrate, and launch agents using APIs and chat protocol.